{% load custom_tags %}
<!-- tambah data Wilayah -->
<div class="modal fade " id="tambahopd"  role="dialog" aria-labelledby="tambahopd" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content ">
            <div class="modal-header bg-gradient-info text-white">
                <h5 class="modal-title"><i class="fa fa-pencil"></i> Input Data SKPD</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body">
                <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_skpd_create' %}">
                    {% csrf_token %}
                    <div class="row">
                        <div class="col-md-4">Tahun</div>
                        <div class="col-md-8">
                            <select name="tahun" class="form-control select2" data-placeholder="Pilih Tahun" style="width: 100%;" required>
                                <option>--Pilih Tahun--</option>
                                {% for list_tahun in tahun %}
                                <option {% if item_wilayah.tahun.tahun == list_tahun.tahun  %}selected{% endif %} value="{{list_tahun.id}}">{{ list_tahun.tahun|intcomma_no_decimal }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                     <hr>
                    <div class="row">
                        <div class="col-md-4"> Wilayah </div>
                        <div class="col-md-8"> 
                            <select name="lokasi" class="form-control select2" style="width: 100%;" required>
                                <option value="">Pilih Wilayah</option>
                                {% for item_wilayah in wilayah_list %}
                                    <option value="{{item_wilayah.id}}">{{item_wilayah.provinsi}} / {{item_wilayah.kabupaten}}</option>
                                {% endfor %}
                            </select>
                        </div>
                     </div>
                     <hr>
                     <div class="row">
                        <div class="col-md-4"> Kode SKPD </div>
                        <div class="col-md-8"> <input type="text" name="kodeopd" class="form-control" required placeholder="Kode SKPD"></div>
                     </div>
                     <hr>
                     <div class="row">
                        <div class="col-md-4"> Nama SKPD </div>
                        <div class="col-md-8"> <input type="text" name="namaopd" class="form-control" required placeholder="Isi Nama SKPD"></div>
                     </div>
                     <hr>
                     <div class="row">
                        <div class="col-md-4"> Alamat SKPD </div>
                        <div class="col-md-8"> <input type="text" name="alamatopd" class="form-control" required placeholder="Alamat SKPD"></div>
                     </div>
                     <hr>
                     <div class="row">
                        <div class="col-md-4"> Kontak SKPD </div>
                        <div class="col-md-8"> <input type="text" name="kontakopd" class="form-control" required placeholder="Kontak SKPD"></div>
                       
                     </div>
                     <hr>
                     <div class="row">
                        <div class="col-md-4"> Email SKPD </div>
                        <div class="col-md-8"> <input type="text" name="emailopd" class="form-control" required placeholder="Email SKPD"></div>
                     </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                        <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- data arsip Wilayah -->
<div class="modal fade " id="arsipopd"  role="dialog" aria-labelledby="arsipopd" aria-hidden="true">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content ">
            <div class="modal-header bg-gradient-danger text-white">
                <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Arsip Data Wilayah</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body">
                <div class="row">
                    <div class="col-md-12">
                        <table class="table table-striped table-bordered dt-responsive" id="table-archive">
                            <thead class="bg-danger text-white">
                                <th>No</th>
                                <th>Tahun</th>
                                <th>Provinsi/Kabupaten</th>
                                <th>Uraian SKPD</th>
                                <th>Alamat</th>
                                <th>Kontak</th>
                                <th>Email</th>
                                <th>Aksi</th>
                            </thead>
                            <tbody>
                                {% for arsip_skpd in archives %}
                                    <tr>
                                        <td>{{forloop.counter}}</td>
                                        <td>{{arsip_skpd.tahun.tahun}}</td>
                                        <td>{{arsip_skpd.lokasi.provinsi}} / {{arsip_skpd.lokasi.kabupaten}}</td>
                                        <td>{{arsip_skpd.namaopd}}</td>
                                        <td>{{arsip_skpd.alamatopd}}</td>
                                        <td>{{arsip_skpd.kontakopd}}</td>
                                        <td>{{arsip_skpd.emailopd}}</td>
                                        <td>
                                            <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                                <button class="btn btn-warning btn-circle mr-3 mb-2" 
                                                    onclick="restore_(`{{ arsip_skpd.namaopd }}`, '{{ arsip_skpd.id }}')"
                                                    data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                                     <i class="bi bi-arrow-counterclockwise"></i>
                                                </button>
                                            </div>
                                        </td>
                                    </tr>
                                {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
